Get Appointment
curl --request GET \
--url https://api.usecobalt.com/v1/appointments/{id} \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/appointments/{id}"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"appointment": {
"id": "<string>",
"ehr_appointment_id": "<string>",
"emr_appointment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"duration": 123,
"status": "<string>",
"appointment_type": "<string>",
"location": "<string>",
"practice_id": "<string>",
"reason": "<string>",
"complaint_type": "<string>",
"patient_name": "<string>",
"patient_first_name": "<string>",
"patient_last_name": "<string>",
"patient_mrn": "<string>",
"patient_ehr_id": "<string>",
"patient_dob": "<string>",
"patient_gender": "<string>",
"patient_phone": "<string>",
"provider_ehr_id": "<string>",
"provider_name": "<string>",
"provider_npi": "<string>",
"secondary_provider_ehr_id": "<string>",
"insurance": "<string>",
"insurance_number": "<string>",
"insurance_group_number": "<string>",
"insurance_subscriber": "<string>",
"secondary_insurance": "<string>",
"secondary_insurance_number": "<string>",
"insurances": [
{}
],
"diagnoses": [
{}
],
"medications": [
{}
],
"note": "<string>",
"progress_note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object_metadata": {
"created_at": "2023-11-07T05:31:56Z"
}
}
}Appointments
Get Appointment by ID
Gets details for a specific appointment.
GET
/
appointments
/
{id}
Get Appointment
Example Request
curl -X GET https://api.usecobalt.com/v1/appointments/1276397812 \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
Example Response
{
"success": true,
"appointment": {
"id": "1276397812",
"datetime": "2024-03-14T00:00:00-07:00",
"appointment_mode": "office",
"appointment_type": "f/u",
"location": "54252",
"patient_name": "Jane Doe",
"patient_mrn": "414421",
"patient_dob": "1994-08-12",
"patient_gender": "female",
"insurance": "Blue Shield",
"insurance_subscriber": "John Doe",
"insurance_number": "19228934",
"insurance_group_number": "FDL992829qe",
"reason": "Routine follow-up",
"provider_ehr_id": "6644",
"provider_npi": "2453453453",
"status": "completed"
}
}
⌘I